# Class DetectAllFaceLandmarksTask<TSource>

#### Type Parameters

- #### TSource extends WithFaceDetection<{}>

#### Hierarchy

- DetectFaceLandmarksTaskBase<WithFaceLandmarks<TSource>[], TSource[]>
  - DetectAllFaceLandmarksTask

- Defined in globalApi/DetectFaceLandmarksTasks.ts:35

#####
Index

### Constructors

constructor

### Methods

run
then
withAgeAndGender
withFaceDescriptors
withFaceExpressions

## Constructors

### constructor

- new DetectAllFaceLandmarksTask<TSource>(parentTask: ComposableTask<TSource[]> | Promise<TSource[]>, input: any, useTinyLandmarkNet: boolean): DetectAllFaceLandmarksTask<TSource>

- #### Type Parameters

  - #### TSource extends { detection: FaceDetection }

  #### Parameters

  - ##### parentTask: ComposableTask<TSource[]> | Promise<TSource[]>

  - ##### input: any

  - ##### useTinyLandmarkNet: boolean

  #### Returns DetectAllFaceLandmarksTask<TSource>

  Inherited from DetectFaceLandmarksTaskBase.constructor

  - Defined in globalApi/DetectFaceLandmarksTasks.ts:17

## Methods

### run

- run(): Promise<WithFaceLandmarks<TSource, FaceLandmarks68>[]>

- #### Returns Promise<WithFaceLandmarks<TSource, FaceLandmarks68>[]>

  Overrides DetectFaceLandmarksTaskBase.run

  - Defined in globalApi/DetectFaceLandmarksTasks.ts:36

### then

- then(onfulfilled: ((value: WithFaceLandmarks<TSource, FaceLandmarks68>[]) => WithFaceLandmarks<TSource, FaceLandmarks68>[] | PromiseLike<WithFaceLandmarks<TSource, FaceLandmarks68>[]>)): Promise<WithFaceLandmarks<TSource, FaceLandmarks68>[]>

- #### Parameters

  - ##### onfulfilled: ((value: WithFaceLandmarks<TSource, FaceLandmarks68>[]) => WithFaceLandmarks<TSource, FaceLandmarks68>[] | PromiseLike<WithFaceLandmarks<TSource, FaceLandmarks68>[]>)

    - - (value: WithFaceLandmarks<TSource, FaceLandmarks68>[]): WithFaceLandmarks<TSource, FaceLandmarks68>[] | PromiseLike<WithFaceLandmarks<TSource, FaceLandmarks68>[]>

      - #### Parameters

        - ##### value: WithFaceLandmarks<TSource, FaceLandmarks68>[]

        #### Returns WithFaceLandmarks<TSource, FaceLandmarks68>[] | PromiseLike<WithFaceLandmarks<TSource, FaceLandmarks68>[]>

  #### Returns Promise<WithFaceLandmarks<TSource, FaceLandmarks68>[]>

  Inherited from DetectFaceLandmarksTaskBase.then

  - Defined in globalApi/ComposableTask.ts:3

### withAgeAndGender

- withAgeAndGender(): PredictAllAgeAndGenderWithFaceAlignmentTask<WithFaceLandmarks<TSource, FaceLandmarks68>>

- #### Returns PredictAllAgeAndGenderWithFaceAlignmentTask<WithFaceLandmarks<TSource, FaceLandmarks68>>

  - Defined in globalApi/DetectFaceLandmarksTasks.ts:54

### withFaceDescriptors

- withFaceDescriptors(): ComputeAllFaceDescriptorsTask<WithFaceLandmarks<TSource, FaceLandmarks68>>

- #### Returns ComputeAllFaceDescriptorsTask<WithFaceLandmarks<TSource, FaceLandmarks68>>

  - Defined in globalApi/DetectFaceLandmarksTasks.ts:58

### withFaceExpressions

- withFaceExpressions(): PredictAllFaceExpressionsWithFaceAlignmentTask<WithFaceLandmarks<TSource, FaceLandmarks68>>

- #### Returns PredictAllFaceExpressionsWithFaceAlignmentTask<WithFaceLandmarks<TSource, FaceLandmarks68>>

  - Defined in globalApi/DetectFaceLandmarksTasks.ts:50